#
# spec file for package perl-Class-Multimethods
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Class-Multimethods
Version:        1.70
Release:        599.1
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic-1.0
Url:            http://cpan.org/modules/by-module/Class
Summary:        This Package Supports Multimethods and Subroutine Overloading in Perl.
Source:         Class-Multimethods-%{version}.tar.gz
Patch0:         Class-Multimethods-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
Class::Multimethods -- Supports multimethods and subroutine overloading
in Perl.



Authors:
--------
    Damian Conway <damian@cs.monash.edu.au>

%prep
%setup -n Class-Multimethods-%{version}
%patch0

%build
perl Makefile.PL
make %{?_smp_mflags}
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist
chmod 644 Changes README tutorial.html $RPM_BUILD_ROOT%{perl_vendorlib}/Class/Multimethods.*
chmod 644 demo/demo.ambig.pl demo/demo.analyse.pl demo/demo.global.pl demo/demo.multi.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes README tutorial.html demo
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Class
%{perl_vendorarch}/auto/Class

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 mjancar@suse.cz
- fix filelist
* Thu May 22 2003 mjancar@suse.cz
- package omited documentation
- use diff instead of script
- fix permissions
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Fri Aug  3 2001 rvasice@suse.cz
- initial package release (version 1.70)
